"""Add uuid to leave model

Revision ID: 2728bc95eaeb
Revises: 8ca86cd09925
Create Date: 2020-07-28 14:59:03.319282

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
import app

revision = "2728bc95eaeb"
down_revision = "8ca86cd09925"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table("leaves", schema=None) as batch_op:
        batch_op.add_column(sa.Column("uuid", app.models.GUID(), nullable=False))
        batch_op.create_index(batch_op.f("ix_leaves_uuid"), ["uuid"], unique=False)

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table("leaves", schema=None) as batch_op:
        batch_op.drop_index(batch_op.f("ix_leaves_uuid"))
        batch_op.drop_column("uuid")

    # ### end Alembic commands ###
